Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.entity
Interface ConsumingNHttpEntity

All Superinterfaces:
  HttpEntity

All Known Implementing Classes:
  BufferingNHttpEntity, ConsumingNHttpEntityTemplate

Deprecated. use (4.2) `BasicAsyncRequestProducer` or `BasicAsyncResponseProducer`

    @Deprecated
    public interface ConsumingNHttpEntity

extends HttpEntity

A non-blocking `HttpEntity` that allows content to be streamed from a `ContentDecoder`.

Since:
  4.0

Method Summary
`void` | `consumeContent(ContentDecoder decoder, IOControl ioControl)` Deprecated. Notification that content is available to be read from the decoder.
`void` | `finish()` Deprecated. Notification that any resources allocated for reading can be released.

Methods inherited from interface org.apache.http.HttpEntity
`consumeContent, getContent, getContentEncoding, getContentLength, getContentType, isChunked, isRepeatable, isStreaming, writeTo`

Method Detail

### consumeContent

    void consumeContent(ContentDecoder decoder,
                        IOControl ioControl)
                        throws IOException

  Deprecated.
  Notification that content is available to be read from the decoder. `IOControl` instance passed as a parameter to the method can be used to suspend input events if the entity is temporarily unable to allocate more storage to accommodate all incoming content.

  Parameters:
    `decoder` - content decoder.
    `ioControl` - I/O control of the underlying connection.
  Throws:
    `IOException`

### finish

    void finish()
                throws IOException

  Deprecated.
  Notification that any resources allocated for reading can be released.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.